Message.ProtocolEncoder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport

## Class Message.ProtocolEncoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<Message>
      - - org.apache.cassandra.transport.Message.ProtocolEncoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler
  Enclosing class:
    Message

      @ChannelHandler.Sharable
      public static class Message.ProtocolEncoder
      extends io.netty.handler.codec.MessageToMessageEncoder<Message>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolEncoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(io.netty.channel.ChannelHandlerContext ctx, Message message, java.util.List results)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

      `acceptOutboundMessage, write`

    - ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `exceptionCaught, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### ProtocolEncoder

          public ProtocolEncoder()

  - ### Method Detail

    - #### encode

          public void encode(io.netty.channel.ChannelHandlerContext ctx,
                             Message message,
                             java.util.List results)

      Specified by:
        `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<Message>`

Copyright © 2018 The Apache Software Foundation